"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _interopRequireWildcard2 = _interopRequireDefault(require("@babel/runtime/helpers/interopRequireWildcard"));

var _plugin = _interopRequireDefault(require("@start/plugin"));

var _default = userOptions => (0, _plugin.default)('babel', ({
  logPath
}) => async ({
  files
}) => {
  // @ts-ignore
  const {
    transformAsync
  } = await Promise.resolve().then(() => (0, _interopRequireWildcard2.default)(require('@babel/core')));
  return {
    files: await Promise.all(files.map(async file => {
      const options = { ...userOptions,
        ast: false,
        inputSourceMap: file.map != null ? file.map : false,
        filename: file.path
      };
      const result = await transformAsync(file.data, options);
      logPath(file.path);
      return {
        path: file.path,
        data: result.code,
        map: result.map
      };
    }))
  };
});

exports.default = _default;